Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#1Messageil y a 7 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée

Bonjour la communauté, Bienvenue dans une autre mise à jour stable. Alors qu'est-ce qu'on a avec celui-ci?
  • Linux418 et linux419 utilisent maintenant CFQ (Completly Fair Queuing) comme planificateur par défaut
  • Pamac est maintenant à 7.2.2
    pamac-dev (la prochaine version 7.3) présente les fonctionnalités suivantes:
    • introduction des téléchargements en parallèles avec une option permettant de définir un nombre maximal de téléchargements parallèles
    • Boîte de dialogue pour choisir les dépendances optionnelles
    • Boîte de dialogue permettant d'importer les clés PGP requises lors de la création d'un paquet à partir d'AUR
    • possibilité de vérifier les mises à jour des paquets AUR VCS (-git, -svn,…)
    • Cli suit maintenant /etc/pamac.conf (inutile d'utiliser l'option --aur si le support AUR est activé dans pamac.conf)
    • L'action «checkupdates» dans cli signale maintenant les packages AUR périmés (si la vérification de mises à jour AUR est activée)
    • L'action «search» dans cli recherche maintenant dans les dépôts et dans AUR en même temps (si le support AUR est activé)
  • La reconstruction d' icu est terminée et tous les paquets qui en dépendent sont reconstruits
  • Nous avons ajouté de nouveaux paquets à XFCE-GTK3 , Deepin et Gnome
  • Les mises à jour habituelles en amont et en python
Nous espérons qu'avec tous ces changements, Manjaro sera plus efficace pour vous tous.

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman-mirrors -f0 && sudo pacman -Syyu && yaourt -Sua
-------------------------------------------------------------------------------------


État des miroirs actuellement :


Noyaux pris en charge :
  • linux316 3.16.59
  • linux318 3.18.124 [EOL] En fin de vie
  • linux44 4.4.162
  • linux49 4.9.135
  • linux414 4.14.78
  • linux417 4.17.19 [EOL] En fin de vie
  • linux418 4.18.16
  • linux419 4.19.0
  • linux414-rt 4.14.71_rt44
  • linux416-rt 4.16.18_rt11
  • linux418-rt 4.18.12_rt7-1
Les changements en détail :
  • community x86_64: 308 nouveaux et 307 paquets retirés
  • core x86_64: 10 nouveaux et 11 paquets retirés
  • extra x86_64: 138 nouveaux et 130 paquets retirés
  • multilib x86_64: 11 nouveaux et 6 paquets retirés
3 paquets supprimés:

firefox-kde-opensuse lollypop-portal pacman-mirrors-dev
4 nouveaux paquets:

boxit-32-server:  Manjaro Linux repository management system - server
haskell-network-byte-order:  Network byte order utilities
libimagequant:  Library for high-quality conversion of RGBA images to 8-bit indexed-color (palette) images
pngquant:  command-line utility to quantize PNGs down to 8-bit paletted PNGs
-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/events/thinkpad-radiosw est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S --overwrite '/etc/acpi/events/thinkpad-radiosw'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés
Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#2Messageil y a 7 mois

Bonjour

maj faite pour Xfce avec 58 paquets pour 400Mo
ras dans l'immédiat

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#3Messageil y a 7 mois

RAS aussi

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#4Messageil y a 7 mois

Bonjour.

hop 400 mo de mise à jour pour lxqt et aucun problème pour le moment.

merci à toutes l'équipe.

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#5Messageil y a 7 mois

Bonjour,
Pour le laptop anciennement à moi (2ème de la signature) :
RAS sur xfce, 67 paquets - 348mib, merci.

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#6Messageil y a 7 mois

Mise à jour effectuée sous Xfce. RAS tout semble opérationnel :bien

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#7Messageil y a 7 mois

Pas de soucis de mon coté ( j'espère ne jamais en avoir )

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#8Messageil y a 7 mois

RAS sur 2 Manjaro avec env 80/85 paquets chacun pour 580 Mo.
A voir au reboot. Bon travail les dev... :clap:clap:clap

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#9Messageil y a 7 mois

Re-salut à vous,
63 paquets et 442 mib plus loin, ràs, tout va bien à priori sur xfce de mon laptop (1er de la signature).
Merci à tous.

EDIT : correction, avec le noyau 419, petit souci au reboot, tout flottait.
Reboot encore, et là tout va bien avec le même noyau.
Merci encore.

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#10Messageil y a 7 mois

:bjr: tout le monde
82 paquets pour Kde et le noyau 4.19 et redémarrage sans problème pour l'instant.
Super boulot encore une fois :bien
Michel

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#11Messageil y a 7 mois

Bonjour à tous,
Au secours ! Ceci est un SOS !
Lors de ma mise à jour de ce matin (56 MAJ) sur XFCE, j'ai eu un gros souci !
A la mise à jour de libreoffice-still 0% mon ordi a "freezé".
Plus de souris, plus rien...
J'ai dû arrêter le PC "à l'arrache".
J'ai essayé de redémarrer sur un autre noyau (4.14) alors que le 4.19 avait été installé récemment, et çà ne va pas :desole:
Le démarrage se bloque juste après "[OK] started LTP system startup/shutdown" avec le curseur qui clignote en dessous et... puis c'est tout... :saispas:
Pitié pitié aidez-moi je suis ultra débutante et je ne sais pas quoi faire :maître:
Merci mille fois par avance :merci:

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#12Messageil y a 7 mois

Bonjour,
Il faudrait démarrer sur le live-usb, ouvrir un terminal et taper cette commande :

manjaro-chroot -a
ensuite du tentes à nouveau la mise à jour

 sudo pacman -Syyu
et tu nous retournes le(s) message(s) d'erreur(s) ici :wink:

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#13Messageil y a 7 mois

Merci beaucoup Erwann !
Le live USB c'est ma clé d'installation avec la version d'origine ? Ou je dois récupérer une nouvelle ISO récente ?
Pardon je suis totalement HS :desole:
J'ai lu deux ou trois choses qui ne me rassurent pas sur la difficulté que je rencontre, je ne voudrais pas te faire perdre ton temps.
Ne serait-ce pas plus simple de refaire directement une nouvelle installation ?

J'essaye la manip que tu me demandes ? Merci pour ton aide

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#14Messageil y a 7 mois

vérifie avant qu'il ne s'agit pas d'un probleme de partition pleine
df -Th
avant de relancer la suite

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#15Messageil y a 7 mois

Ouh là là...
Je suis obligée de copier les erreurs à la main puisque je suis sur un autre ordi...
error : failed to update core (unable to lock database)
error : failed to update extra (unable to lock to database)
error : failed to update community (unable to lock to database)
error : failed to update multilib (unable to lock to database)
error : failed to synchronize all database

A la commande df -Th pas de souci de partition pleine, j'ai 10% utilisés...

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#16Messageil y a 7 mois

Ok, donc toujours à partir du live en root, on va tenter de supprimer le verrou de base de donnée s'il existe :

rm -i /var/lib/pacman/db.lck

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#17Messageil y a 7 mois

Merci Erwan...
En plus je galère avec le clavier qwerty...
Alors la dernière commande indique :
rm remove regular empty file "/var/lib/pacman/db.lck" ?
Je dis "O" pour oui ?

Cà y est c'est fait...
J'ai à nouveau [manjaro /]#
Dernière modification par Jen1321 le 04 Nov 2018, 12:00, modifié 1 fois.

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#18Messageil y a 7 mois

En plus je galère avec le clavier qwerty...
Lors de l'amorçage de la clé, on ne doit pas oublier de paramétrer la langue et le clavier en Fr. :wink:

Il ne reste plus qu'à relancer la mise à jour (toujours en chroot) en croisant les doigts pacman -Syyu Si pas d'erreur, tu peux sortir du chroot en tapant exit et redémarrer ton système normalement sur ton kernel préféré.

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#19Messageil y a 7 mois

Ah oui c'est vrai ! J'ai fait çà un peu dans la panique :roll:
Je retente la MAJ... Je croise tous mes petits doigts...

Edit : je n'ai pas croisé les doigts assez fort... :desole:
Même messages d'erreurs unable to lock database :pleure:
Ça ne sent vraiment pas bon hein ?

[Stable] Mise à jour 02/11/2018 - Pamac, ICU, XFCE, Deepin, Gnome

#20Messageil y a 7 mois

Bonjour,
Que renvoie la commande:

sudo ldconfig
?

Répondre